<template>
  <v-container
    class="transparent-background d-flex flex-column justify-center align-center"
  >
    <v-alert :type="type" prominent dismissible @input="$router.push('/')">
      {{ message }}
    </v-alert>
  </v-container>
</template>

<script>
export default {
  layout: 'empty',

  props: {
    error: {
      type: Object,
      default: null,
    },
  },

  computed: {
    type() {
      if (this.error.type) return this.error.type

      if (this.error.statusCode === 200) return 'info'

      if (this.error.statusCode === 404) return 'warning'

      return 'error'
    },

    message() {
      if (this.error.message) return this.error.message

      if (this.error.statusCode === 404) return 'Page introuvable (404).'

      return 'Une erreur imprévue est survenue…'
    },
  },

  head() {
    const title = this.error.statusCode === 404 ? 'Erreur 404' : 'Erreur'
    return {
      title,
    }
  },
}
</script>
